SLOCATE(1)

NAME
slocate - Security Enhanced version of the GNU Locate

SYNOPSIS
slocate [-qi] [-d <path>] [--database=<path>] <search string>
slocate [-i] [-r <regexp>] [--regexp=<regexp>]
slocate [-qv] [-o <file>] [--output=<file>] slocate [-e <dir1,dir2,...>] [-f <fstype1,...>] <[-l <level>] [-c] <[-U <path>] [-u]>
slocate [-Vh] [--version] [--help]

DESCRIPTION
Secure Locate provides a secure way to index and quickly search for all files on your system regardless of ownership. It uses incremental encoding just like GNU locate to compress its database to make searching faster, but it will also check file permissions and ownership before displaying matched entries so that users will not see files they do not have access to. Note that permissions and ownership are not stored in the database.

This manual page documents slocate. slocate Enables system users to search entire filesystems without displaying unauthorized files.

  OPTIONS

-u  Create slocate database starting at path /.

-U <dir>
    Create slocate database starting at path <dir>.

-e <dir1,dir2,...>
    Exclude directories from the slocate database.

-f <fstype1,...>
    Exclude files on specific file systems from the slocate database.

-c  Parse '/etc/updatedb.conf' when updating the slocate database. (see CONFIGURATION FILE below).

-l <level>
    Security level. 0 turns security checks off. This will make searchs faster. 1 turns security checks on. This is the default.

-i  Does a case insensitive search.

-q  Quiet mode. Error messages are suppressed.

-n <num>
    Limit the amount of results shown to <num>.

-r <regexp>
    --regexp=<regexp> Search the database using a basic POSIX regular expression.

-o <file>
    --output=<file> Specfies the database to create.

-d <path>
    --database=<path> Specfies the path of databases to search in.

-h  --help Display this help.

-v  --verbose Verbose mode. Display files when creating database.

-V  --version Display version.

ENVIRONMENT

LOCATE_PATH
        Colon-separated list of databases to search.

CONFIGURATION FILE
Secure Locate will parse GNU Locate's /etc/updatedb.conf when the argument is provided. But please be aware that Secure Locate currently does NOT support all options provided by GNU Locate's configuration file. Options currently supported by Secure Locate are PRUNEFS and PRUNEPATHS

VERSION
Secure Locate v3.0 beta

AUTHOR
Kevin Lindsay - Copyright (c) 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006

BUG REPORT
Report bugs to slocate@trakker.ca

URL
http://slocate.trakker.ca/

SEE ALSO
updatedb(1)